Package org.apache.wiki.plugin

## Class IndexPlugin

- java.lang.Object
- - org.apache.wiki.plugin.AbstractReferralPlugin
  - - org.apache.wiki.plugin.IndexPlugin

All Implemented Interfaces:
  `Plugin`

    public class IndexPlugin
    extends AbstractReferralPlugin
    implements Plugin

A Plugin that creates an index of pages according to a certain pattern.
The default is to include all pages.

This is a rewrite of the earlier JSPWiki IndexPlugin using JDOM2. 8

Parameters (from AbstractReferralPlugin):

- include - A regexp pattern for marking which pages should be included.
- exclude - A regexp pattern for marking which pages should be excluded.

Author:
  Ichiro Furusato

### Field Summary

### Fields inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`ALL_ITEMS, items, m_after, m_before, m_dateFormat, m_dateLastModified, m_engine, m_exclude, m_include, m_lastModified, m_maxwidth, m_separator, m_show, m_sorter, PARAM_AFTER, PARAM_BEFORE, PARAM_COLUMNS, PARAM_EXCLUDE, PARAM_INCLUDE, PARAM_LASTMODIFIED, PARAM_MAXWIDTH, PARAM_SEPARATOR, PARAM_SHOW, PARAM_SHOW_VALUE_COUNT, PARAM_SHOW_VALUE_PAGES, PARAM_SORTORDER, PARAM_SORTORDER_HUMAN, PARAM_SORTORDER_JAVA, PARAM_SORTORDER_LOCALE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`IndexPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`applyColumnsStyle, filterAndSortCollection, filterCollection, filterWikiPageCollection, initialize, makeHTML, wikitizeCollection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexPlugin

    public IndexPlugin()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`